/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package logging;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;
import java.util.logging.StreamHandler;

/**
 *
 * @author bar
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        BufferedReader input = null;
        PrintWriter pw = null;
        Logger logger = null;
        try {
            logger = Logger.getLogger(logging.Main.class.getName());
            Handler fileHandler = null;
            try {
                fileHandler = new StreamHandler(new FileOutputStream("Main.log"), new SimpleFormatter());
                logger.addHandler(fileHandler);
            } catch (IOException ex) {
                logger.log(Level.SEVERE, "Nelze otevrit soubor pro logovani.", ex);
            } catch (SecurityException ex) {
                Logger.getLogger(Main.class.getName()).log(Level.SEVERE, "Nelze otevrit soubor pro logovani.", ex);
            }
            if (args.length < 2) {
                System.err.println("Main <vstup> <vystup>");
                logger.log(Level.INFO, "Spatny pocet parametru na prikazove radce: {0}", Arrays.asList(args));
            }

            input = new BufferedReader(new InputStreamReader(new FileInputStream(args[0])));
            pw = new PrintWriter(new OutputStreamWriter(new FileOutputStream(args[1])));
            String line = input.readLine();
            while(line!= null){
                pw.println(line);
                line = input.readLine();
            }
            input.close();
            pw.close();
        } catch (IOException ex) {
            logger.log(Level.SEVERE, "I/O chyba: ", ex);
        } finally {
            try {
                input.close();
            } catch (IOException ex) {
                logger.log(Level.SEVERE, "Nelze zavrit soubor: ", ex);
            }
        }
    }

}
